<mat-card class="mpa-card">
  <!-- HEADER -->
  <mat-card-header class="mpa-card-header">
    <mat-card-title class="mpa-card-title">
      Proteindatabase: {{ this.dataItemOfThisComponent.displayName }}
      <!-- name-edit -->
      <button mat-button class="mpa-card-title-name-button" (click)="onSetName()">(edit)</button>
    </mat-card-title>
    <!-- button-row -->
    <div class="mpa-card-header-buttons">
      <button mat-raised-button color="warn" matTooltip="Delete database" class="square-button"
              (click)='removeProteinDB()'>
        <mat-icon>close</mat-icon>
      </button>
    </div>
  </mat-card-header>

  <!-- CONTENT -->
  <mat-card-content class="mpa-card-content">
    <!-- OVERVIEW TABLE -->
    <table class="mpa-overview-table">
      <thead>
      </thead>
      <tbody>
      <tr>
        <th scope="row">Status</th>
        <td>
          {{ this.dataItemOfThisComponent.proteinDB.status }}
        </td>
      </tr>
      <tr>
        <th scope="row">Creation Date</th>
        <td>
          {{ this.dataItemOfThisComponent.creationDate }}
        </td>
      </tr>
      <tr>
        <th scope="row">Original Filenames</th>
        <td>
          {{ this.getNamesOfUploadedFiles() }}
        </td>
      </tr>
      <tr>
        <th scope="row"># Proteins</th>
        <td>
          {{ this.dataItemOfThisComponent.proteinDB.totalProteins }}
        </td>
      </tr>
      <tr>
        <th scope="row">Spectral Libraries</th>
        <td>
          <ul *ngIf="dataItemOfThisComponent.proteinDB.spectralLibraries.length > 0; else noLibs">
            <li *ngFor="let lib of dataItemOfThisComponent.proteinDB.spectralLibraries">
              <strong>{{ lib.name }}</strong> - {{ lib.status ?? 'Unknown' }}
            </li>
          </ul>
          <ng-template #noLibs>
            <span>No spectral libraries available</span>
          </ng-template>
        </td>
      </tr>

      <tr>
        <th scope="row">Description
        </th>
        <td>
          <textarea autofocus="false" class="text-area" (input)="setDescription($event)"
                    id="description-text">{{ this.dataItemOfThisComponent.description }}</textarea>
        </td>
      </tr>
      </tbody>
    </table>

    <div>
      <!-- FILE UPLOAD SELECTION AND SUBMIT -->
      <div style="display: flex; align-items: flex-start; width: 100%; justify-content: space-around">
        <div style="width: 48%" *ngIf="canUploadFiles()">
          <ng-container>
            <div class="divider-line">File Upload</div>
            <app-file-dropzone [acceptedFileTypes]="this.acceptedFileTypes"
                               (fileInputEvent)="this.handleFileInput($event)"
                               [selectedFiles]="this.selectedFiles"></app-file-dropzone>
          </ng-container>
          <mat-checkbox [(ngModel)]="runSpecLibPrediction">
            Run Spectral Library Prediction
          </mat-checkbox>
        </div>
        <div style="width: 48%">
          <ng-container>
            <div class="divider-line">Spectral Library</div>
            <app-spectral-library [name]="spectralLibraryName" [runSpecLibPrediction]="runSpecLibPrediction">
            </app-spectral-library>
          </ng-container>
        </div>
      </div>
      <button mat-raised-button color="accent" *ngIf="canUploadFiles()" (click)="this.handleSubmit()"
              [disabled]="this.selectedFiles.length<=0 && !this.spectralLibraryComponent?.form.valid">Submit
      </button>
      <button mat-raised-button color="accent" *ngIf="!canUploadFiles()" (click)="this.predictLibrary()">
        Predict Library
      </button>
    </div>
  </mat-card-content>
</mat-card>



